########################################################################
#
#	CMS.pm
#
#	y֐z
#	all_set					ꊇݒ菈
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
#	Copyright (C) 2010 Shitaro Kubuki. All Rights Reserved
#
package NpSetLinkedFile::CMS;

use strict;
use warnings;
use MT::Template;

########################################################################
#
#	y֐z
#	all_set					ꊇݒ菈
#
#	y@\z
#	
#
#	yz
#	Ver	1.00	2010.05.17	vx TY	VK쐬
#
sub all_set {
	my $app = shift;
	my $blog_id = $app->param('blog_id');
	my $plugin = MT::Plugin::NpSetLinkedFile->instance;

	my $path = $app->param('np_path');
	my $extension = $app->param('np_extension');
	$plugin->set_config_value( 'np_path', $path, "blog:$blog_id" );
	$plugin->set_config_value( 'np_extension', $extension, "blog:$blog_id" );
	$plugin->save_config();
	if ($path !=~ /.\//)
	{
		$path = $path . "/";
	}
	if ($extension !=~ /\../)
	{
		$extension = "." . $extension;
	}

	my $term = { blog_id => $blog_id, type => 'backup', };
	my $arg = { not => { type => 1 }, };
	my $iter = MT::Template->load_iter( $term , $arg );
	while ( my $template = $iter->() )
	{
		if ($template->identifier)
		{
			$template->linked_file($path . $template->identifier . $extension);
		}
		else
		{
			$template->linked_file($path . 'template_' . $template->id . $extension);
		}
		$template->save or return $app->error($template->errstr);
    }
	return $app->redirect( $app->uri( mode => 'cfg_plugins', args => { blog_id => $blog_id }) );
}

1;
